using System;
using System.Data;
using System.Configuration;
using System.Collections;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Web.UI.HtmlControls;

public partial class rcvRight : System.Web.UI.UserControl
{
    protected void Page_Load(object sender, EventArgs e)
    {
        Page.ClientScript.RegisterClientScriptBlock(
                this.GetType(), "ClientScriptFunction",
                ClientScriptFunction(), true);
    }
    string ClientScriptFunction()
    {
        string strScript = "";
        strScript =
        "function validateSurvey(src,args)\n" +
        "{\n  args.IsValid=false;" +
        "\n  for(var i=0;i<" +
        radioButtonListSurvey.Items.Count +
        ";i++)\n  {\n" +
         "      if(document.getElementById('" +
         this.ID+"_"+
         this.radioButtonListSurvey.ID +
         "_'+i).checked)\n      " +
         "{\n       args.IsValid=true;\n" +
         "        break;\n       }\n" +
        "   }\n}\n";
        return strScript;
    }
}
